--AH:ScriptId=67884861-fccc-4004-a71f-78acbebc41a3;3037
CREATE TABLE [Credentials]
(
    [Credential_Id] INT IDENTITY(1, 1) NOT NULL,
    [Environment_Id] INT NULL,
    [Credential_Name] NVARCHAR(50) NOT NULL,
    [CredentialType_Name] VARCHAR(50) NOT NULL,
    [Configuration_Xml] [xml] NOT NULL,
    [AllowFunctionAccess_Indicator] YNINDICATOR NOT NULL,

    CONSTRAINT [PK__Credentials] PRIMARY KEY ([Credential_Id]),
    
    CONSTRAINT [FK__Credentials__Environments] 
               FOREIGN KEY ([Environment_Id]) 
               REFERENCES [Environments] ([Environment_Id])
               ON DELETE SET NULL,

    CONSTRAINT [UQ__Credentials] UNIQUE NONCLUSTERED ([CredentialType_Name], [Credential_Name])
)