--AH:ScriptId=FD548ED7-E82B-43F4-ADAE-D6CF75970D87


IF (SELECT COUNT(*) FROM [Applications]) = 0 BEGIN

	DECLARE @AdminRoleId INT
	    SET @AdminRoleId = (SELECT [Role_Id] FROM [Roles] WHERE [Role_Name] = 'Administer')
	DECLARE @BuitInDirectoryId INT
	    SET @BuitInDirectoryId = (SELECT [UserDirectory_Id] FROM [UserDirectories] WHERE [UserDirectory_Name] = 'Built-In')

	INSERT INTO [Privileges]
		([Principal_Name],[PrincipalType_Code],[Role_Id],[PrivilegeType_Code],[UserDirectory_Id])
	VALUES
		('Anonymous','U',@AdminRoleId,'G',@BuitInDirectoryId)

	DELETE [Configuration] WHERE [Key_Name] LIKE 'PreviewFeatures%'

	INSERT INTO [Configuration] ([Key_Name],[Value_Text])
	VALUES ('PreviewFeatures.UseNewCreateApplicationPage', 'True')

	INSERT INTO [Configuration] ([Key_Name],[Value_Text])
	VALUES ('PreviewFeatures.UseNewHomePage', 'True')

	INSERT INTO [Configuration] ([Key_Name],[Value_Text])
	VALUES ('PreviewFeatures.HideHomePageMessage', 'True')


	INSERT INTO [Configuration] ([Key_Name],[Value_Text])
	VALUES ('PreviewFeatures.EnableNewPackagesAndContainersFeature', 'False')

	INSERT INTO [Configuration] ([Key_Name],[Value_Text])
	VALUES ('PreviewFeatures.EnableNewApplicationNavigation', 'True')


END