EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'ApplicationGroups_GetApplicationGroups',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ApplicationGroups',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the application groups'
GO

IF OBJECT_ID('[ApplicationGroups_GetApplicationGroups]') IS NOT NULL DROP PROCEDURE [ApplicationGroups_GetApplicationGroups]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [ApplicationGroups_GetApplicationGroups]
AS
BEGIN

SET NOCOUNT ON
	SELECT * FROM [ApplicationGroups] ORDER BY [ApplicationGroup_Name]

END
GO

GRANT EXECUTE ON [ApplicationGroups_GetApplicationGroups] TO [BuildMasterUser_Role]
