EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Builds_GetPromotion',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'BuildPromotions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a build promotion.'
GO


IF OBJECT_ID('[Builds_GetPromotion]') IS NOT NULL DROP PROCEDURE [Builds_GetPromotion]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Builds_GetPromotion]
(
	@Promotion_Id INT
) AS BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [BuildPromotions_Extended]
	 WHERE [Promotion_Id] = @Promotion_Id

END
GO

GRANT EXECUTE ON [Builds_GetPromotion] TO [BuildMasterUser_Role]
