EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Webhooks_GetWebhooks',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Webhooks_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all webhooks.'
GO

IF OBJECT_ID('[Webhooks_GetWebhooks]') IS NOT NULL DROP PROCEDURE [Webhooks_GetWebhooks]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Webhooks_GetWebhooks]
(
    @IncludeInactive_Indicator YNINDICATOR = NULL
)
AS
BEGIN

    SET NOCOUNT ON

    SELECT * 
      FROM [Webhooks_Extended]
	 WHERE [Active_Indicator] = 'Y' OR @IncludeInactive_Indicator = 'Y'
	 ORDER BY [Webhook_Name]

END
GO

GRANT EXECUTE ON [Webhooks_GetWebhooks] TO [BuildMasterUser_Role]